import request from '@/utils/request'

// 获取物料分类树形结构数据
export function getTree(data) {
  return request({
    url: `/system/classify/list`,
    method: 'post',
    data: data
  })
}
// 获取物料基本分类详细信息
export function getDetail(id) {
  return request({
    url: `/system/classify/details`,
    method: 'get',
    params: {id}
  })
}
// 新增物料基本信息
export function add(data) {
  return request({
    url: `/system/classify/add`,
    method: 'post',
    data: data
  })
}
// 删除物料基本分类
export function delClassify(data) {
  return request({
    url:`/system/classify/delete`,
    method: 'post',
    data: data
  })
}
// 修改物料基本分类
export function edit(data) {
  return request({
    url:`/system/classify/edit`,
    method: 'post',
    data: data
  })
}
